1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Internal SiteBuilder error

Discussion in 'Sitebuilder 3.0 for Linux' started by jenok, Apr 10, 2007.

  1. jenok

    jenok Guest

    0
     
    Hi,

    I've install all required for sitebuilder and still got error. here below:

    Internal SiteBuilder error.
    File: /usr/local/sitebuilder/include/Zend/Zend/Db/Adapter/Abstract.php; Line: 156
    Message: SQLSTATE[HY000]: General error: 2036 ; Code: HY000

    check.php results OK for all.

    system running under FreeBSD 6.2 and use php5.2.1.

    any clue ?

    Thanks
     
  2. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    First of all as I know Sitebuilder requires PHP 5.1.x to be installed on the server and it won't work with 5.2.x version:

    * PHP 5.1.x (PHP 5.1.4 included in the SiteBuilder distribution)

    As for the error, I saw such error previously and it was related to Mysql 5 installation on the server. Do you have mysql 5 installed?
     
  3. jenok

    jenok Guest

    0
     
    its ok now, I installed it on other machine.

    about the mysql, yea im using mysql 5, any eta when you gonna release the sitebuilder3.so for php 5.2.x ?

    thanks
     
  4. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    I can't say exactly date but as I know it should be available in about 2.5-3 months.
     
  5. jenok

    jenok Guest

    0
     
    dmitry, I installed 5.1.6 still got same error.

    all extension required are installed and mysql 5 too.

    still got a big ???? :D

    could you help me please ?
     
  6. caustic

    caustic Guest

    0
     
  7. jenok

    jenok Guest

    0
     
    :( read all my post before give a comment !!
     
  8. Dmitry Frantsev

    Dmitry Frantsev Golden Pleskian

    28
    57%
    Joined:
    Sep 19, 2005
    Messages:
    1,911
    Likes Received:
    0
    I saw such situation couple of times and this issue related to MySQL 5 installed on the server. Description can be found, for example, here: http://pecl.php.net/bugs/bug.php?id=8045
    As I understand you have MySQL 5 and client for MySQL 5 installed. But Sitebuilder pdo_mysql was compiled on machine with MySQL 4.1 and such a library for MySQL 5, as it occurred, is not compatible with previous version.

    In this situation there are several ways to resolve it:
    * Recompile PHP and link it with new client for MySQL 5.
    * Downgrade MySQL to version 4.1.
    * Download libmysqlclient.so.14.0.0 for version 4.1 and make symlink from libmysqlclient.so.14 to it.

    I hope this information can help you to resolve this situation.
     
  9. jenok

    jenok Guest

    0
     
    Re: Re: Internal SiteBuilder error

    thanks alot, it works now. I follow 3rd instruction by copied the libmysqlclient. :D
     
  10. jenok

    jenok Guest

    0
     
    Re: Re: Re: Internal SiteBuilder error

    ah.. sorry.. im too fast to smile. I forgot that the libmysqlclient.14 use for mysql 4.1.
    with just make a symlink it seems ok and I can saw the login page even login into the admin page. but when I open other page like license management. it show me blank page.

    I think I should try 2nd option. or maybe is there any additional option for this 3rd option ?
     
Loading...